## gtans 1.1

=== misc/Makefile ===

# when launched from gtans-x.x/makefile PREFIX and DESTDIR are overriden

INSTALL=install
DESTDIR=
PREFIX=/usr

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps
	mkdir -p $(DESTDIR)$(PREFIX)/share/gnome/apps/Games
	mkdir -p $(DESTDIR)$(PREFIX)/man/man6
	$(INSTALL) -m 0644 gtans_icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gtans_icon.png
	$(INSTALL) -m 0644 gtans.desktop $(DESTDIR)$(PREFIX)/share/gnome/apps/Games/gtans.desktop
	$(INSTALL) -m 0644 gtans-6x $(DESTDIR)$(PREFIX)/man/man6/gtans.6

=== po/Makefile ===

# when launched from gtans-x.x/makefile PREFIX and DESTDIR are overriden
LINGUAS=es fr
INSTALL=install
PREFIX=/usr
LOCALEDIR=$(PREFIX)/share/locale
DESTDIR=

po:
	for i in $(LINGUAS); do \
		msgfmt -o gtans.mo-$$i gtans.po-$$i; \
	done;
clean:
	rm gtans.mo-*

install:
	for i in $(LINGUAS); do \
		mkdir -p $(DESTDIR)$(LOCALEDIR)/$$i/LC_MESSAGES; \
		$(INSTALL) -m 0644 gtans.mo-$$i $(DESTDIR)$(LOCALEDIR)/$$i/LC_MESSAGES/gtans.mo; \
	done;

## gtans 1.2

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # when launched from gtans-x.x/makefile PREFIX and DESTDIR are overriden
-LINGUAS=es fr
+LINGUAS=es fr ru uk pl cs tr
 INSTALL=install
 PREFIX=/usr
 LOCALEDIR=$(PREFIX)/share/locale

## gtans 1.99.0

=== debian/changelog ===
gtans (1.99.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.  Closes: #1072872.
  * Drop old menu file.

 -- Bastian Germann <bage@debian.org>  Mon, 08 Jul 2024 13:25:05 +0200

gtans (1.99.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965571)

 -- Adrian Bunk <bunk@debian.org>  Thu, 12 May 2022 01:32:19 +0300

gtans (1.99.0-2) unstable; urgency=low

  * Added data/gtanshelpsv.txt and po/sv.po.  Closes: #621086.

 -- Bart Martens <bartm@debian.org>  Sat, 12 May 2012 17:40:03 +0000

gtans (1.99.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: No longer Build-Depends on libglade2-dev.
  * debian/patches/01_gtk2_and_glade.diff: Removed.
  * debian/patches/02_nostrip.diff: Removed.
  * debian/rules: No longer rename HISTORY to ChangeLog.
  * debian/control: Build-Depends: autotools-dev, intltool (>= 0.40.5),
    pkg-config.
  * debian/rules: Use cdbs autotools.mk.
  * debian/control: Fixed debhelper-but-no-misc-depends.
  * data/Makefile.in, src/Makefile.in: pkgdatadir is /usr/share/games/gtans.
  * debian/copyright: Updated the list of authors.

 -- Bart Martens <bartm@debian.org>  Sun, 05 Apr 2009 08:32:03 +0200

gtans (1.2-9) unstable; urgency=low

  * debian/patches/02_nostrip.diff: Added.  Closes: #437096.

 -- Bart Martens <bartm@debian.org>  Wed, 23 Jan 2008 11:27:30 +0100

gtans (1.2-8) unstable; urgency=low

  * Acknowledge NMU.  Thanks to Barry and Peter.

 -- Bart Martens <bartm@knars.be>  Thu, 04 Oct 2007 07:02:49 +0200

gtans (1.2-7.1) unstable; urgency=low

  * NMU.
  * Add simple-patchsys
  * Add patch from Peter De Wachter:
    * Build with gtk2
    * Interface re-done in glade
  * Update build-deps libgtk1.2-dev to libgtk2.0-dev
    * New build dep on libglade2-dev

 -- Barry deFreese <bddebian@comcast.net>  Wed, 03 Oct 2007 20:30:59 -0400

gtans (1.2-7) unstable; urgency=low

  * New maintainer.  Closes: #406508.
  * debian/*: Switch to cdbs.
  * Additionally installing the file "AUTHORS".
  * debian/copyright: Updated.

 -- Bart Martens <bartm@knars.be>  Sun, 18 Mar 2007 15:16:19 +0100

gtans (1.2-6) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #406508
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu, 15 Mar 2007 10:54:01 +0100

gtans (1.2-5) unstable; urgency=low

  * Prune Build-Depends, prune Depends via fixing the makefile
    to work around overeager gtk-config pulling in lots of libs
  * Update debhelper compatibility level
  * Update FSF address
  * debian/watch: updated
  * Standards-Version 3.6.2

 -- Florian Ernst <florian@debian.org>  Thu, 24 Nov 2005 21:38:41 +0100

gtans (1.2-4) unstable; urgency=low

  * New maintainer address, many thanks to Rafael Laboissiere for previous
    sponsoring
  * Adding Italian translation, many thanks to Giulio Canevari and the
    debian-l10n-italian mailing list

 -- Florian Ernst <florian@debian.org>  Sun, 13 Mar 2005 14:11:22 +0100

gtans (1.2-3) unstable; urgency=low

  * debian/rules: fix path for help files (Closes: #275199)
  * debian/watch: now pointing to ftp2.sf.net

 -- Florian Ernst <florian_ernst@gmx.net>  Wed,  6 Oct 2004 23:17:22 +0200

gtans (1.2-2) unstable; urgency=low

  * debian/rules:
    + dropped install redefine and configure target as they are not needed
    + added check for noopt
    + substitution: $(CURDIR) for `pwd`
  * Fixed makefile to support nostrip
  * debian/copyright: merged AUTHORS file, which can now be dropped
  * Changed icon location to /usr/share/pixmaps
  * Use HISTORY as upstream changelog
  * Thanks to Marc 'HE' Brockschmidt for pointing all this out!
  * Fix manpage section

 -- Florian Ernst <florian_ernst@gmx.net>  Thu,  8 Jul 2004 17:22:10 +0200

gtans (1.2-1) unstable; urgency=low

  * New maintainer (Closes: #238030)
  * New upstream release (Closes: #238028)
    + the figures file named alpha.figures as well as Russian and Ukrainian
      translations now included upstream (Closes: #182145)
    + added Polish, Czech, and Turkish (incomplete) translation
    + no other changes
  * Added Chinese (big5) and Japanese translation from upstream homepage
  * Added German translation from new maintainer
  * Updated upstream author and homepage in manpage
  * General overhaul of debian/*
  * debian/control: Added Rafael Laboissiere (who is sponsoring this
    package) to the Uploaders list
  * Standards-Version 3.6.1

 -- Florian Ernst <florian_ernst@gmx.net>  Fri,  2 Apr 2004 10:03:45 +0200

gtans (1.1-7) unstable; urgency=low

  * corrected the copyright file to point to the correct path of the GPL
  * deleted emacs code at the bottom of this page
  * changed the maintainer email from casi@ifrance.com to casi@debian.org
  * updated Standards-Version to 3.5.2

 -- Jean-Marc Bourdaret <casi@debian.org>  Mon, 25 Feb 2002 05:04:18 +0100

gtans (1.1-6) unstable; urgency=low

  * added gettext in Build-Depends

 -- Jean-Marc Bourdaret <casi@ifrance.com>  Thu, 13 Dec 2001 20:51:11 +0100

gtans (1.1-5) unstable; urgency=low

  * removed INSTALL file from the docs

 -- Jean Marc Bourdaret <casi@ifrance.com>  Mon, 12 Feb 2001 20:50:07 +0100

gtans (1.1-4) unstable; urgency=low

  * "full upload", replaced orig file , it seems the one in 
  * place wasn't exactly the upstream one.

 -- Jean Marc Bourdaret <casi@ifrance.com>  Mon, 12 Feb 2001 19:15:13 +0100

gtans (1.1-3) unstable; urgency=low

  * Upgraded Standards-Version to 3.2.1
  * buid-depends field in the control file (thanks to Ryan Murray)

 -- Jean Marc Bourdaret <casi@ifrance.com>  Wed,  7 Feb 2001 01:03:09 +0100

gtans (1.1-2) unstable; urgency=low

  * Added Russian (ru) and Ukrainian (uk) translations
  * Also added the figures file named alpha.figures (alpha-numeric shapes)
  * All of this was available on the upstream web-page
  * The upstream page has moved to sourceforge.net, see gtans.sourceforge.net



=== debian/control ===
Source: gtans
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libgtk2.0-dev, autotools-dev, intltool (>= 0.40.5), pkg-config
Standards-Version: 3.9.3
Homepage: http://gtans.sourceforge.net/

Package: gtans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tangram (puzzle) game using GTK+
 The Tangram is a Chinese puzzle where the player has to arrange a set of
 pieces to match a given shape. All the pieces must be used and should not
 be laid on top of one another. The pieces are five triangles, a square and
 a parallelogram. gtans contains more than 380 figures to play with. It uses
 the mouse to control pieces. gtans is highly customizable using the
 interface.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_NORMAL_ARGS += \
	--bindir=/usr/games \

ADD_LANG = de it ja sv zh_TW.Big5

pre-build::
	cp -a debian/data/gtanshelp*.txt data/
	cp -a debian/po/*.po po/

clean::
	-for lang in $(ADD_LANG) ; do rm po/$$lang.po && rm data/gtanshelp$$lang.txt; done

=== debian/watch ===
version=3
http://sf.net/gtans/gtans-(.*)\.tar\.gz
